
**** plots of ideology of pools vs. who runs across partisanship and over time

use ../pools_data/merged_data_50_dems, clear
keep if Contested == 1
rename Year     year
rename Ran      ran
rename District dist
rename Ideology ideology
drop type
gen     type = "G" if Special == 0
replace type = "S" if Special == 1
merge m:1 state dist year type using ../other_data/cong_incumbency
drop if _merge == 2
drop _merge
merge m:1 state dist year type using ../other_data/pres_vote_to_use
drop if _merge == 2

egen x = count(year), by(Unique_ID Legislator)
sort Unique_ID Legislator
drop if x > 1 & Legislator == Legislator[_n-1]
drop x

replace year = year + 1 if mod(year, 2) == 1

egen x = mean(ideology) if ran == 0, by(Unique_ID)
egen ideo_nonrunner_mean = max(x), by(Unique_ID)
gen ideo_diff = ideology - ideo_nonrunner_mean
drop x

egen ideo_pool_mean = mean(ideology), by(Unique_ID)
gen ideo_diff_2 = ideology - ideo_pool_mean

gen dpv = d_pres_vote_pct/100


binscatter ideo_diff dpv if ran == 1, linetype(qfit) lc(gs0) colors(gs0) yline(0) ///
	ytitle("Difference in NP-Score") yscale(range(-.3 .3)) ylabel(-.3 -.2 -.1 0 .1 .2 .3) ///
	xscale(range(.20 .90)) xlabel(.20 .30 .40 .50 .60 .70 .80 .90) xtitle("Democratic Presidential Vote Share (DPV)") ///
	scale(1.4) genxq(xbin_dvp) 
graph export "../output/figures/ideo_diff_D_vs_dem_pres_share_50.pdf", replace


binscatter ideo_diff year if ran == 1, linetype(qfit) lc(gs0) colors(gs0) yline(0) ///
	ytitle("Difference in NP-Score") yscale(range(-.2 .2)) ylabel(-.2 -.1 0 .1 .2) ///
	xtitle("Year") xlabel(1996 2000 2004 2008 2012 2016) ///
	scale(1.4) genxq(xbin_year) 
graph export "../output/figures/ideo_diff_D_vs_year_50.pdf", replace


use ../pools_data/merged_data_50_reps, clear
keep if Contested == 1
rename Year     year
rename Ran      ran
rename District dist
rename Ideology ideology
drop type
gen     type = "G" if Special == 0
replace type = "S" if Special == 1
merge m:1 state dist year type using ../other_data/cong_incumbency
drop if _merge == 2
drop _merge
merge m:1 state dist year type using ../other_data/pres_vote_to_use
drop if _merge == 2

egen x = count(year), by(Unique_ID Legislator)
sort Unique_ID Legislator
drop if x > 1 & Legislator == Legislator[_n-1]
drop x


egen x = count(year), by(Unique_ID Legislator)
sort Unique_ID Legislator
drop if x > 1 & Legislator == Legislator[_n-1]
drop x

replace year = year + 1 if mod(year, 2) == 1

egen x = mean(ideology) if ran == 0, by(Unique_ID)
egen ideo_nonrunner_mean = max(x), by(Unique_ID)
gen ideo_diff = ideology - ideo_nonrunner_mean
drop x

egen ideo_pool_mean = mean(ideology), by(Unique_ID)
gen ideo_diff_2 = ideology - ideo_pool_mean

gen dpv = d_pres_vote_pct/100

binscatter ideo_diff dpv if ran == 1, linetype(qfit) lc(gs0) colors(gs0) yline(0) ///
	ytitle("Difference in NP-Score") yscale(range(-.3 .3)) ylabel(-.3 -.2 -.1 0 .1 .2 .3) ///
	xscale(range(.20 .90)) xlabel(.20 .30 .40 .50 .60 .70 .80 .90) xtitle("Democratic Presidential Vote Share (DPV)")  ///
	scale(1.4) genxq(xbin_dvp) 
graph export "../output/figures/ideo_diff_R_vs_dem_pres_share_50.pdf", replace


binscatter ideo_diff year if ran == 1, linetype(qfit) lc(gs0) colors(gs0) yline(0) ///
	ytitle("Difference in NP-Score") yscale(range(-.2 .2)) ylabel(-.2 -.1 0 .1 .2) ///
	xtitle("Year") xlabel(1996 2000 2004 2008 2012 2016) xtitle("Year") ///
	scale(1.4) genxq(xbin_year) 
graph export "../output/figures/ideo_diff_R_vs_year_50.pdf", replace


