#delimit ;

/* LOOK AT NPAT SCORES OF THOSE WITH AND WITHOUT NP SCORES AMONG THOSE WHO RUN IN PRIMARIES */

/* LOOK AT W-NOMINATE (CS) SCORES OF THOSE WHO SERVED IN STATE LEGISLATURES COMPARED TO THOSE WHO DID NOT */

set linesize 250;

use ../other_data/npat_and_nominate_table, clear;

reg ideo_npat has_np_score d_pres_vote_share if party == "D";
local b_leg_D_1 =  _b[has_np_score];
local s_leg_D_1 = _se[has_np_score];
local b_dvs_D_1 =  _b[d_pres_vote_share];
local s_dvs_D_1 = _se[d_pres_vote_share];
local n_D_1 = e(N);

reg ideo_npat has_np_score d_pres_vote_share if party == "R";
local b_leg_R_1 =  _b[has_np_score];
local s_leg_R_1 = _se[has_np_score];
local b_dvs_R_1 =  _b[d_pres_vote_share];
local s_dvs_R_1 = _se[d_pres_vote_share];
local n_R_1 = e(N);


reg nominate_dim1 stleg_wrfc d_pres_vote_share if party == "D";
local b_leg_D_2 =  _b[stleg_wrfc];
local s_leg_D_2 = _se[stleg_wrfc];
local b_dvs_D_2 =  _b[d_pres_vote_share];
local s_dvs_D_2 = _se[d_pres_vote_share];
local n_D_2 = e(N);

reg nominate_dim1 stleg_wrfc d_pres_vote_share if party == "R";
local b_leg_R_2 =  _b[stleg_wrfc];
local s_leg_R_2 = _se[stleg_wrfc];
local b_dvs_R_2 =  _b[d_pres_vote_share];
local s_dvs_R_2 = _se[d_pres_vote_share];
local n_R_2 = e(N);


reg nominate_dim1 stleg_ever d_pres_vote_share if party == "D";

reg nominate_dim1 stleg_ever d_pres_vote_share if party == "R";


quietly {;

  capture log close;
  log using ../output/tables/tbl_state_legs_vs_others_1.tex, text replace;

  noisily display "\begin{table}[htbp] ";
  noisily display "\centering ";
  noisily display "\caption{\bf Ideology of state legislators compared to non-state legislators.} ";
  noisily display "\label{tbl_state_legs_vs_others_1} ";
  noisily display "\begin{tabular}{lcc} ";
  noisily display "\toprule\toprule ";
  noisily display "& Democrats & Republicans \\ ";
  noisily display "\midrule ";
  noisily display "\multicolumn{3}{l}{\textit{NPAT Scores}} \\ [0.01in] ";
  noisily display "State Legislator        &  " %5.3f `b_leg_D_1' "  &  " %5.3f `b_leg_R_1' "  \\ "; 
  noisily display "                        & (" %5.3f `s_leg_D_1' ") & (" %5.3f `s_leg_R_1' ") \\ [.01in] "; 
  noisily display "Dem Pres Vote Share     &  " %5.3f `b_dvs_D_1' "  &  " %5.3f `b_dvs_R_1' "  \\ "; 
  noisily display "                        & (" %5.3f `s_dvs_D_1' ") & (" %5.3f `s_dvs_R_1' ") \\ [.01in] "; 
  noisily display "Observations            &  " %3.0f `n_D_1'     "  &  " %3.0f `n_R_1'     "  \\ "; 
  noisily display "\midrule ";
  noisily display "\multicolumn{3}{l}{\textit{W-NOMINATE Scores}} \\ [0.01in] ";
  noisily display "State Legislator        &  " %5.3f `b_leg_D_2' "  &  " %5.3f `b_leg_R_2' "  \\ "; 
  noisily display "                        & (" %5.3f `s_leg_D_2' ") & (" %5.3f `s_leg_R_2' ") \\ [.01in] "; 
  noisily display "Dem Pres Vote Share     &  " %5.3f `b_dvs_D_2' "  &  " %5.3f `b_dvs_R_2' "  \\ "; 
  noisily display "                        & (" %5.3f `s_dvs_D_2' ") & (" %5.3f `s_dvs_R_2' ") \\ [.01in] "; 
  noisily display "Observations            &  " %3.0f `n_D_2'     "  &  " %3.0f `n_R_2'     "  \\ "; 
  noisily display "\bottomrule ";
  noisily display "\end{tabular} ";
  noisily display "\end{table} ";

  log close;

};


/* SOME NUMBERS FOR TEXT */

sum has_npat;
local m = 100 * r(mean);

quietly {;
  capture log close;
  log using ../output/numbers_for_text/number_22.tex, text replace;
  noisily display %4.1f `m';
  log close;
};

sum has_npat if stleg_wrfc == 1;
local m = 100 * r(mean);

quietly {;
  capture log close;
  log using ../output/numbers_for_text/number_23.tex, text replace;
  noisily display %4.1f `m';
  log close;
};


sum has_npat if stleg_wrfc == 0;
local m = 100 * r(mean);

quietly {;
  capture log close;
  log using ../output/numbers_for_text/number_24.tex, text replace;
  noisily display %4.1f `m';
  log close;
};

