#delimit ;

set linesize 250;


/* COUNTS OF NUMBER OF STATE LEGISLATORS WHO RUN WHILE STILL IN THE LEGISLATURE OR AFTER LEAVING */

use ../other_data/shor_mccarty_1993_2016_long_with_ids, clear;
collapse (max) last_year_as_state_leg = year, by(state name);
save tmp1, replace;

use ../other_data/cong_primaries_1996_2016, clear;
merge m:1 state name using tmp1;

keep if _merge == 3;
keep if year >= 2000 & year <= 2016;

drop if inc == 1 | inc == 2;

gen years_since = year - last_year;
replace years_since = 0 if years_since < 0;

/* THESE PEOPLE ARE SPECIAL CASES */

replace years_since = 0 if years_since == 1 & state == "AZ";
replace years_since = 0 if years_since == 1 & state == "CO";               /* JOAN FITZGERALD      RESIGNED TO RUN FOR U.S. HOUSE */
replace years_since = 1 if years_since == 1 & state == "FL";               /* CONNIE MACK IV       RESIGNED TO BECOME DIRECTOR OF CIA; RETURNED TO RUN FOR FATHER'S U.S. HOUSE SEAT WHEN FATHER DIED */
replace years_since = 0 if years_since == 1 & state == "GA" & dist == 10;  /* DONNA H. SHELDEN     RESIGNED TO RUN FOR U.S. HOUSE */
replace years_since = 0 if years_since == 1 & state == "GA" & dist == 11;  /* BARRY D. LOUDERMILK  RESIGNED TO RUN FOR U.S. HOUSE */
replace years_since = 0 if years_since == 1 & state == "IN";               /* JAMES E. (JIM) BANKS ACTUALLY SERVED THROUGH NOV 2016 BUT IS NOT IN SHOR-MCCARTY FOR THAT YEAR */
replace years_since = 1 if years_since == 1 & state == "NY";               /* PAUL DAVID TONKO     RESIGNED TO BECOME PRES AND CEO OF THE NEW YORK STATE ENERGY RESEARCH AND DEVELOPMENT AUTHORITY */
replace years_since = 1 if years_since == 1 & state == "VA" & dist == 9;   /* JAY K. KATZEN        FINISHED TERM IN LEG IN JAN 2002, THEN FOR U.S. HOUSE IN 2002 (RAN FOR LT. GOV IN 2001) */
replace years_since = 1 if years_since == 1 & state == "VA" & dist == 3;   /* WINSOME E SEARS      FINISHED TERM IN LEG IN JAN 2004, THEN RAN FOR U.S. HOUSE IN 2004 */
replace years_since = 1 if years_since == 1 & state == "WA";               /* JOE MARINE           APPOINTED TO LEG, LOST SPECIAL ELECTION TO KEEP SEAT, THEN RAN FOR U.S. HOUSE IN 2002 */


/* THESE ARE PEOPLE NOT IN SHOR_MCCARTY WHO RAN FOR CONGRESS MORE THAN 9 YEARS AFTER SERVING IN THE STATE LEGISLATURE */

replace years_since = 10 if state == "AR" & name == "HAYS, PATRICK HENRY";
replace years_since = 10 if state == "GA" & name == "MCKINNEY, CYNTHIA ANN";
replace years_since = 10 if state == "IA" & name == "JOHNSON, PAUL W.";
replace years_since = 10 if state == "SC" & name == "BRADLEY, PHIL";

replace years_since =  2 if years_since == 1;
replace years_since =  4 if years_since == 3;
replace years_since =  6 if years_since == 5;
replace years_since =  8 if years_since == 7;
replace years_since = 10 if years_since >= 9 & years_since != .;

gen     years_since_text = "0"   if years_since ==  0;
replace years_since_text = "1-2" if years_since ==  2;
replace years_since_text = "3-4" if years_since ==  4;
replace years_since_text = "5-6" if years_since ==  6;
replace years_since_text = "7-8" if years_since ==  8;
replace years_since_text = "9+"  if years_since == 10;

tab years_since_text;

gen years_since_2 = 100 * (years_since <= 2) if years_since != .;
sum years_since_2;
local m = r(mean);

quietly {;
  capture log close;
  log using ../output/numbers_for_text/number_34.tex, text replace;
  noisily display %4.1f `m';
  log close;
};


erase tmp1.dta;
